Subject: [avtext] Proposed addition to rtp-stream-pause, on RTT estimates for receivers

From: Jonathan Lennox <[email-masked]>
Date: Wed, 13 Jan 2016 15:02:22 +0000

Hi, all —

While doing the AUTH48 edits for draft-ietf-avtext-rtp-stream-pause, Bo Burman proposed one clarification on the availability of RTT estimates for RTP receiver-only.

He writes:

Clarification on availability of RTT estimate for RTP receiver-only
In Section 8.1, there is an implied availability of the RTT estimate, which isn't always true. Based on RFC 3550, only RTP stream senders can have RTT estimates to other receivers. In many use cases this will be correct, but not always. Thus, the proposal is to call this out, for completeness, and to reference RFC3611 that contains an extension that a receiver-only could use to determine RTT. If that is not used, we suggest 500 ms is a good default value to use. All of that is not specific to pause/resume, but valid whenever an RTT estimate is needed by an RTP receiver. A simple reference would suffice if this was specified elsewhere, but we found none.

OLD:
   If the targeted RTP stream does not pause, if no PAUSED indication
   with a future PauseID compared to the one used in PAUSE is received,
   and if no REFUSED with the current or a future PauseID is received
   within 2 * RTT + T_dither_max, the PAUSE MAY be scheduled for
   retransmission, using the same current PauseID.  RTT is the observed
   round trip to the RTP stream sender, and T_dither_max is defined in
   Section 3.4 of [RFC4585].

NEW:
<same as above, plus adding text at the end of that paragraph, here listing from the last line of OLD text above>
  ...
  Section 3.4 of [RFC4585].  An RTP stream receiver in a bi-directional
  RTP communication will generally have an RTT estimate to the RTP
  stream sender, e.g., from RTCP SR/RR as described in Section 6.4 of
  [RFC3550].  However, RTP stream receivers that don't send any RTP
  streams will lack an RTT estimate unless they use additional
  mechanisms, such as the "Receiver Reference Time Report Block" part
  of RTCP XR [RFC3611].  RTP stream receivers that lack an RTT estimate
  to the sender SHOULD use 500 ms as default value.

Please comment within the next week (i.e., by Wednesday, January 20th) on this proposal.

Thank you!

Jonathan Lennox
AVTExt Co-Chair